# DefaultApi

## moonsdk.DefaultApi

All URIs are relative to *<https://beta.usemoon.ai>*

| Method                           | HTTP request  | Description |
| -------------------------------- | ------------- | ----------- |
| [**get\_message**](#get_message) | **GET** /ping |             |

## **get\_message**

> PingResponse get\_message()

#### Example

```python
import moonsdk
from moonsdk.models.ping_response import PingResponse
from moonsdk.rest import ApiException
from pprint import pprint

# Defining the host is optional and defaults to https://beta.usemoon.ai
# See configuration.py for a list of all supported configuration parameters.
configuration = moonsdk.Configuration(
    host = "https://beta.usemoon.ai"
)


# Enter a context with an instance of the API client
async with moonsdk.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = moonsdk.DefaultApi(api_client)

    try:
        api_response = await api_instance.get_message()
        print("The response of DefaultApi->get_message:\n")
        pprint(api_response)
    except Exception as e:
        print("Exception when calling DefaultApi->get_message: %s\n" % e)
```

#### Parameters

This endpoint does not need any parameter.

#### Return type

[**PingResponse**](/sdks/python/pingresponse.md)

#### Authorization

No authorization required

#### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json

#### HTTP response details

| Status code | Description | Response headers |
| ----------- | ----------- | ---------------- |
| **200**     | Ok          | -                |

[\[Back to top\]](/sdks/python/defaultapi.md) [\[Back to API list\]](/sdks/python.md#documentation-for-api-endpoints) [\[Back to Model list\]](/sdks/python.md#documentation-for-models) [\[Back to README\]](/sdks/python.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.usemoon.ai/sdks/python/defaultapi.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
